Errors in creating participant

8 posts / 0 new
Last post
Offline
Last seen: 3 weeks 3 days ago
Joined: 01/30/2020
Posts: 8
Errors in creating participant
AttachmentSize
File user_qos_profiles.xml7.74 KB

I'm new to rti-dds.  I'm receiving the following error on create_participant_with_profile(), but can't tell from the message where the error is:

[CREATE Participant] DDS_DomainParticipantTrustPlugins_initialize:!create security plugin
[CREATE Participant] DDS_DomainParticipant_createI:!create builtin trust plugins support
[CREATE Participant] DDS_DomainParticipantFactory_create_participant_disabledI:!create participant
DDSDomainParticipant_impl::create_disabledI:!create participant
DomainParticipantFactory_impl::create_participant_disabled():!create failure creating participant
DomainParticipantFactory_impl::create_participant_disabled_with_profile():ERROR: Failed to create participant from a profile

I'm passing:

library_name: secure_test_library

profile_name: secure_test_profile

I've attached the USER_QOS_PROFILES.xml.

The creation of the partipant works fine with the test_library / test_profile combination.  I'm wondering if it has something to do with Security plugins?  I have installed the following rti packages:

- rti_connext_dds-6.0.1-pro-host-x64Win64

- rti_connext_dds-6.0.1-pro-target-x64Win64VS2017

- rti_security_plugins-6.0.1-host-x64Win64

- rti_security_plugins-6.0.1-target-x64Win64VS2017

- openssl-1.1.1d-6.0.1-host-x64Win64

And I have OpenSSL 1.1.1d  10 Sep 2019 installed.

Could it be a licensing issue?  I'm using a rti_license.dat which I've been told has security plugins licensed, but I'm still also seeing:

Please contact support@rti.com with any questions or comments.
[CREATE Participant] RTI_Security_PluginSuite_create:!precondition: There was a problem validating RTI Security Plugins License. Please contact support@rti.com with any questions or comments

Thanks,
Chris

 

Offline
Last seen: 3 weeks 3 days ago
Joined: 01/30/2020
Posts: 8

Additional info:

If I remove the license elements from the QOS xml, the same error occurs:

DDSDomainParticipant_impl::create_disabledI:!create participant
DomainParticipantFactory_impl::create_participant_disabled():!create failure creating participant
DomainParticipantFactory_impl::create_participant_disabled_with_profile():ERROR: Failed to create participant from a profile

Offline
Last seen: 1 day 10 hours ago
Joined: 11/16/2018
Posts: 3

Chris,

It looks like you're using the legacy property names (prefixed with 'com.rti.serv.secure') which was allowed in the 6.0.0 release.   However in 6.0.1, it appears they are not.   See the section 3.9 of the release notes:

https://community.rti.com/static/documentation/connext-dds/6.0.1/doc/manuals/connext_dds/dds_security/html_files/RTI_SecurityPlugins_ReleaseNotes/index.htm#SecurityPlugins/ReleaseNotes/WhatsNew/WhatsNew_SecurityPlugins_601.htm.

Perhaps you should try with the the new property names.

Legacy Property Name (prefix with 'com.rti.serv.secure')

New Property Name (no prefix)

authentication.ca_file

dds.sec.auth.identity_ca

authentication.private_key_file

dds.sec.auth.private_key

authentication.certificate_file

dds.sec.auth.identity_certificate

access_control.permissions_authority_file

dds.sec.access.permissions_ca

access_control.governance_file

dds.sec.access.governance

access_control.permissions_file

dds.sec.access.permissions

Regards,

Bob

Offline
Last seen: 3 weeks 3 days ago
Joined: 01/30/2020
Posts: 8

Hi Bob,

Thanks for the pointer.

I've decided to move back to 6.0.0 for other reasons.  I've tried again with the same QoS file against 6.0.0 with the same result.

It appears it could be related to the licensing.  Can you please let me know how I can confirm that security plugins is included in the license?

Thanks

Chris

Offline
Last seen: 3 weeks 3 days ago
Joined: 01/30/2020
Posts: 8

Hi again Bob,

Also, just to rule out, I've also tried the attached QoS file, and the results are the same.

Thanks for your help.

Chris

File Attachments: 
Offline
Last seen: 1 day 10 hours ago
Joined: 11/16/2018
Posts: 3

Hello Chris,

You should have, as part of your installation, some available examples that build with security.   I would recommend you go to "<workspace>/examples/connext_dds/c++/hello_security" and build that example for your target environment.   If, when you run that you still see failures there, then my suspicion is that you may be inadvertently running with evaluation binaries (which have additional license checking) rather than a standard/proper installation. 

Regards,

Bob 

Offline
Last seen: 3 weeks 3 days ago
Joined: 01/30/2020
Posts: 8

Hi Bob,

Thanks for that.  That was the problem.  This has been resolved now.

Thank you very much for the help.

Chris

Offline
Last seen: 1 day 10 hours ago
Joined: 11/16/2018
Posts: 3

You're welcome, Chris.